<?php
//===============================
// SNMPwalk utility.
//===============================
session_start(); 
require_once ('libmisc.php');
require_once ("../languages/$_SESSION[lang]/gui.php");

if( !preg_match("/net/",$_SESSION['group']) ){
	echo $nokmsg;
	die;
}
$_GET = sanitize($_GET);
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html;charset=<?=$charset?>">
<link href="../themes/<?=$_SESSION[theme]?>.css" type="text/css" rel="stylesheet">
</head>
<body>
<h1><?=$_GET['ip']?> (<?=$_GET['c']?>)</h1>
<div class="net1">
<h2><img src=../img/32/bdwn.png hspace=10> <?=$_GET['oid']?></h2>
</div>
<div class="net2 code">
<?
if($_GET['ip'] and $_GET['c'] and $_GET['oid']){
	foreach (snmprealwalk($_GET['ip'],$_GET['c'],$_GET['oid']) as $val){
		echo "$val\n";
	}
}else{
	echo "<h4>No IP, community or OID?</h4>";
}
?>
</div>
</body>
</html>
